Q_SYNC(2const)

NAME
Q_SYNC - synchronize on-disk copy of quota usages

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <sys/quota.h>

int quotactl(QCMD(Q_SYNC, type), const char *_Nullable special, 0, NULL);

#include <sys/quota.h>    /* Definition of Q_* constants */
#include <sys/syscall.h>  /* Definition of SYS_* constants */
#include <unistd.h>

int syscall(SYS_quotactl_fd, int fd, QCMD(Q_SYNC, type));

DESCRIPTION
Update the on-disk copy of quota usages for a filesystem.

For quotactl(2), if special is NULL, then all filesystems with active quotas are synchronized. quotactl_fd(2) always synchronizes only one filesystem.

RETURN VALUE
See quotactl(2).

ERRORS
See quotactl(2).

STANDARDS
Linux.

HISTORY
Linux.

SEE ALSO
quotactl(2), quotactl_fd(2)